%define upstream_name    AuthCAS
%define upstream_version 1.5

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Client library for CAS 2.0 authentication server
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
AuthCAS aims at providing a Perl API to Yale's Central Authentication
System (CAS). Only a basic Perl library is provided with CAS whereas
AuthCAS is a full object-oriented library.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -f t/pod-coverage.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Apr 12 2011 jquelin <jquelin> 1.500.0-1.mga1
+ Revision: 83736
- update to 1.5

* Tue Jan 18 2011 jquelin <jquelin> 1.400.0-1.mga1
+ Revision: 22020
- cleaning spec file
- imported package perl-AuthCAS


* Sun Jul 12 2009 Jérôme Quelin <jquelin@mandriva.org> 1.400.0-1mdv2010.0
+ Revision: 395063
- update to 1.4
- using %%perl_convert_version
- fixed license field

* Thu May 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.1-1mdv2010.0
+ Revision: 378430
- new version
- import perl-AuthCAS


* Thu May 21 2009 cpan2dist 1.3-1mdv
- initial mdv release, generated with cpan2dist

